Subject: bug#41821: 28.0.50; read-directory-name in vc commands should provide defaults from projects

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Jun 2020 21:03:31 +0300

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Thu, 25 Jun 2020 20:50:47 +0300
> 
> On 25.06.2020 20:45, Eli Zaretskii wrote:
> >> To re-iterate:
> >>
> >> - We can't just move it: it accesses information private to project.el.
> > What does project.el has to do with this?  I didn't ask to move the
> > function to project.el.  What am I missing?
> 
> You asked to move it *from* project.el.

This is a huge misunderstanding.

> If that sounds confusing, perhaps try to answer this question: which 
> function do you want to see moved?

As I said before: I'm talking about moving vc-known-roots from
vc-hooks.el to vc.el.  Quoting myself:

> > We are going in circles again.  Can you explain why vc-known-roots
> > cannot be moved to vc.el in its entirety?